#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	3
%define		sname	gcr
#-----------------------------------------------------------------------------
Name		:	gcr3
Version		:	3.41.1
Release		:	14.8.0.0%{?dist}
Summary		:	A library for displaying certificates
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://github.com/GNOME/gcr
			#http://ftp.gnome.org/pub/gnome/sources/gcr

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	glib
Buildrequires	:	gtk3+
Buildrequires	:	gtk-doc
Buildrequires	:	gobject-introspection
Buildrequires	:	libgcrypt
Buildrequires	:	libsecret
Buildrequires	:	libtasn1-devel
Buildrequires	:	libxslt
Buildrequires	:	meson
Buildrequires	:	ninja
Buildrequires	:	p11-kit-devel
Buildrequires	:	vala

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
'%{name}' is a library for displaying certificates, and
crypto UI, accessing key stores. It also provides the viewer
for crypto files on the GNOME desktop.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_includedir}/gck-1/gck/*.h
%{_includedir}/%{sname}-%{locver}/%{sname}/%{sname}*.h
%{_includedir}/%{sname}-%{locver}/ui/%{sname}*.h
%{_bindir}/%{sname}-viewer
%{_libdir}/libgc*.so*
%{_libdir}/pkgconfig/gc*.pc
%{_libdir}/girepository-1.0/*.typelib
#exclude conflict with gcr (4.1.0)
%exclude %{_libexecdir}/gcr-ssh-agent
%exclude %{_libexecdir}/gcr-ssh-askpass
%{_libexecdir}/gcr-prompter
%{_datadir}/gir-1.0/*.gir
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp*
%{_datadir}/applications/%{sname}-*
%{_datadir}/dbus-1/services/org.gnome.keyring.*
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{sname}-*.png
%{_datadir}/locale/*/LC_MESSAGES/%{sname}.mo
%{_datadir}/mime/packages/%{sname}-*.xml
%{_datadir}/vala/vapi/*.{deps,vapi}

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{sname}-yum.log 2>&1

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor &> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  fi

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

find .							\
	-name meson.build 	|			\
		xargs sed -i				\
			-e /packages.\*deps/d

sed -i							\
  -e 's:"/desktop:"/org:'				\
  schema/*.xml 

sed -i							\
   -e '208 s/@BASENAME@/gcr-viewer.desktop/' 		\
   -e '231 s/@BASENAME@/gcr-prompter.desktop/'		\
   ui/meson.build

meson							\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D gtk_doc=false				\
	build

ninja							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
